Process payment
curl --request POST \
--url https://us.api.flexprice.io/v1/payments/{id}/process \
--header 'x-api-key: <api-key>'import requests
url = "https://us.api.flexprice.io/v1/payments/{id}/process"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://us.api.flexprice.io/v1/payments/{id}/process', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": "<string>",
"attempts": [
{
"attempt_number": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"error_message": "<string>",
"id": "<string>",
"metadata": {},
"payment_id": "<string>",
"tenant_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"currency": "<string>",
"destination_id": "<string>",
"destination_type": "INVOICE",
"error_message": "<string>",
"failed_at": "2023-11-07T05:31:56Z",
"gateway_metadata": {},
"gateway_payment_id": "<string>",
"gateway_tracking_id": "<string>",
"id": "<string>",
"idempotency_key": "<string>",
"invoice_number": "<string>",
"metadata": {},
"payment_gateway": "<string>",
"payment_method_id": "<string>",
"payment_method_type": "CARD",
"payment_status": "INITIATED",
"payment_url": "<string>",
"refunded_at": "2023-11-07T05:31:56Z",
"save_card_and_make_default": true,
"succeeded_at": "2023-11-07T05:31:56Z",
"tenant_id": "<string>",
"track_attempts": true,
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}Payments
Process payment
Use when you need to charge or process a payment (e.g. trigger the payment provider to capture funds). Returns updated payment with status.
POST
/
payments
/
{id}
/
process
Process payment
Authorizations
Enter your API key in the format x-api-key <api-key>*
Path Parameters
Payment ID
Response
Processed payment
Show child attributes
Show child attributes
Available options:
INVOICE Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
CARD, ACH, OFFLINE, CREDITS, PAYMENT_LINK Available options:
INITIATED, PENDING, PROCESSING, SUCCEEDED, OVERPAID, FAILED, REFUNDED, PARTIALLY_REFUNDED 
